Package com.ngrok.definitions

# Class EventSubscription

java.lang.Object
com.ngrok.definitions.EventSubscription

public class EventSubscription extends Object
A class encapsulating the `EventSubscription` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventSubscription(String id, URI uri, OffsetDateTime createdAt, String metadata, String description, List<EventSource> sources, List<Ref> destinations)`
  Creates a new instance of `EventSubscription`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `OffsetDateTime`
  `getCreatedAt()`
  When the Event Subscription was created (RFC 3339 format).
  `String`
  `getDescription()`
  Arbitrary customer supplied information intended to be human readable.
  `List<Ref>`
  `getDestinations()`
  Destinations to which these events will be sent
  `String`
  `getId()`
  Unique identifier for this Event Subscription.
  `String`
  `getMetadata()`
  Arbitrary customer supplied information intended to be machine readable.
  `List<EventSource>`
  `getSources()`
  Sources containing the types for which this event subscription will trigger
  `URI`
  `getUri()`
  URI of the Event Subscription API resource.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EventSubscription

    public EventSubscription(String id, URI uri, OffsetDateTime createdAt, String metadata, String description, List<EventSource> sources, List<Ref> destinations)
    Creates a new instance of `EventSubscription`.
    Parameters:
      `id` - Unique identifier for this Event Subscription.
      `uri` - URI of the Event Subscription API resource.
      `createdAt` - When the Event Subscription was created (RFC 3339 format).
      `metadata` - Arbitrary customer supplied information intended to be machine readable. Optional, max 4096 chars.
      `description` - Arbitrary customer supplied information intended to be human readable. Optional, max 255 chars.
      `sources` - Sources containing the types for which this event subscription will trigger
      `destinations` - Destinations to which these events will be sent

- ## Method Details

  - ### getId

    public String getId()
    Unique identifier for this Event Subscription.
    Returns:
      the value of the property as a `String`

  - ### getUri

    public URI getUri()
    URI of the Event Subscription API resource.
    Returns:
      the value of the property as a `URI`

  - ### getCreatedAt

    public OffsetDateTime getCreatedAt()
    When the Event Subscription was created (RFC 3339 format).
    Returns:
      the value of the property as a `OffsetDateTime`

  - ### getMetadata

    public String getMetadata()
    Arbitrary customer supplied information intended to be machine readable. Optional, max 4096 chars.
    Returns:
      the value of the property as a `String`

  - ### getDescription

    public String getDescription()
    Arbitrary customer supplied information intended to be human readable. Optional, max 255 chars.
    Returns:
      the value of the property as a `String`

  - ### getSources

    public List<EventSource> getSources()
    Sources containing the types for which this event subscription will trigger
    Returns:
      the value of the property as a `List` of `EventSource`

  - ### getDestinations

    public List<Ref> getDestinations()
    Destinations to which these events will be sent
    Returns:
      the value of the property as a `List` of `Ref`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`